Description

I use many macros where it would be really useful (for me) to have the macros output in the pdf.

When a pdf is rendered macros are still shown as raw text in curly brackets.

With #9842 the "toc"-Macro is removed from pdf output.

For "toc" the solution was fine (for me). But #9842 did not fix the problem in general.

I think macros output should be always rendered in pdfs.

Perhaps a additional switch on head or tail of a wiki-page or issue like {{macro_pdf_on/off}} would be nice for those who (dis)like

getting the macro-output in the pdf-file. Or something like that...

Perhaps there is a way to let the macro know that a pdf job called it so that the output can be different for pdfs than html etc.

In my opinion a solution like removing macros raw curly brackets from the output would not be a good solution.

Related issues:

Is duplicate of Redmine - Feature #13051: Support any macro in (pdf) export f... Closed

History

#1 - 2013-09-27 22:34 - Paulo Neves

You are right on with your reasoning. I have worked out a small patch that naively tries to render the macros in the PDFs. It is naive because of the

reasons you stated, some macros are just not applicable to a medium like a PDF file.

There is already a feature request (#13051) where this problem is being discussed. I will post my patch and my arguments there.

#2 - 2013-10-02 07:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Paulo Neves wrote:

There is already a feature request (#13051) where this problem is being discussed. I will post my patch and my arguments there.

 I close as duplicate with #13051.

#3 - 2013-10-02 07:57 - Toshi MARUYAMA

- Is duplicate of Feature #13051: Support any macro in (pdf) export for wiki's and issues added
